POST /auth/logout
ユーザーのすべてのリフレッシュトークンを失効させ、セッションを無効化します。Authorization ヘッダーに有効なアクセストークンが必要です。
リクエストヘッダー
string
必須
Bearer トークン。形式:
Bearer YOUR_ACCESS_TOKENレスポンス
boolean
ログアウトが成功したかどうか。
string
確認メッセージ。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST https://api.llmgenerator.com/api/v1/auth/logout \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.llmgenerator.com/api/v1/auth/logout', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const data = await response.json();
{
"success": true,
"message": "Logout successful. All refresh tokens have been revoked."
}
{
"message": "Authorization header required"
}
現在のアクセストークンとリフレッシュトークンを失効させるエンドポイントです。
curl -X POST https://api.llmgenerator.com/api/v1/auth/logout \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.llmgenerator.com/api/v1/auth/logout', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const data = await response.json();
{
"success": true,
"message": "Logout successful. All refresh tokens have been revoked."
}
{
"message": "Authorization header required"
}
Authorization ヘッダーに有効なアクセストークンが必要です。
Bearer YOUR_ACCESS_TOKENcurl -X POST https://api.llmgenerator.com/api/v1/auth/logout \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.llmgenerator.com/api/v1/auth/logout', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const data = await response.json();
{
"success": true,
"message": "Logout successful. All refresh tokens have been revoked."
}
{
"message": "Authorization header required"
}
このページは役に立ちましたか?